/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.util.Date;

/**
 * 
 * @author Administrador
 */
public class ParadaEsquema implements Cloneable {

	private Short numsecuencia;
	private Date tiempoEstancia;
	private Date padraoRecorrido;
	private Date excepcionRecorrido;
	private Parada parada;
	private Boolean activo;
	private String plataforma;
	private String tipoPassagem;

	public ParadaEsquema() {
	}

	public Short getNumsecuencia() {
		return numsecuencia;
	}

	public void setNumsecuencia(Short numsecuencia) {
		this.numsecuencia = numsecuencia;
	}

	public Parada getParada() {
		return parada;
	}

	public void setParada(Parada parada) {
		this.parada = parada;
	}

	public Date getTiempoEstancia() {
		return tiempoEstancia;
	}

	public void setTiempoEstancia(Date tiempoEstancia) {
		this.tiempoEstancia = tiempoEstancia;
	}

	public String getPlataforma() {
		return plataforma;
	}

	public void setPlataforma(String plataforma) {
		this.plataforma = plataforma;
	}

	public Date getPadraoRecorrido() {
		return padraoRecorrido;
	}

	public void setPadraoRecorrido(Date padraoRecorrido) {
		this.padraoRecorrido = padraoRecorrido;
	}

	public Date getExcepcionRecorrido() {
		return excepcionRecorrido;
	}

	public void setExcepcionRecorrido(Date excepcionRecorrido) {
		this.excepcionRecorrido = excepcionRecorrido;
	}

	public Boolean getActivo() {
		return activo;
	}

	public void setActivo(Boolean activo) {
		this.activo = activo;
	}

	public String getTipoPassagem() {
		return tipoPassagem;
	}

	public void setTipoPassagem(String tipoPassagem) {
		this.tipoPassagem = tipoPassagem;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((numsecuencia == null) ? 0 : numsecuencia.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof ParadaEsquema))
			return false;
		ParadaEsquema other = (ParadaEsquema) obj;
		if (numsecuencia == null) {
			if (other.numsecuencia != null)
				return false;
		} else if (!numsecuencia.equals(other.numsecuencia))
			return false;
		return true;
	}
	
	@Override
    public ParadaEsquema clone() throws CloneNotSupportedException {
        ParadaEsquema clone = null;
        try  {
            clone = (ParadaEsquema) super.clone();
        }
        catch (CloneNotSupportedException e)  {
            throw new RuntimeException(e);
        }
        return clone;
    }
}
